header {
  background-color: #222;
}

a {
  color: #f1ada6;
  text-decoration: none;
  background-color: transparent;
  font-weight: 500;
}

a:hover {
  color: #ccc;
  text-decoration: underline;
}

body {
  font-family: Poppins, sans-serif;
  font-size: 0.95rem;
  font-weight: 400;
  line-height: 1.5;
  color: #999;
  background-color: #222;
}

* {
  scrollbar-width: thin;
  scrollbar-color: #3a3b4f #1a1b2e;
}

a {
  text-decoration: none;
}

.search-container {
  display: flex;
  border: 1px solid #303030;
  border-radius: 8px;
  overflow: hidden;
  margin-left: 10px;
  background: #d85252;
}

@media (min-width: 992px) {
  .search-container {
    width: 280px;
  }
}

.search-input {
  border: none;
  padding: 5px 10px;
  flex: 1;
  color: #cacaca;
  background: #fff;
}

.search-button {
  background: #d85252;
}

.search-button:hover {
  color: initial;
}

.navbar {
  font-weight: 700;
  padding: 5px 0;
}

.navbar-toggler:focus {
  box-shadow: none;
}

.nav-item {
  position: relative;
  margin: 0 5px;
}

.navbar-nav .nav-link {
  transition: all .3s ease;
  position: relative;
  padding: 10px;
  border-radius: 10px;
}

.navbar-nav .nav-link {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  display: flex;
  align-items: center;
}

.navbar-nav .nav-link:hover {
  background-color: #444;
  color: #ddd;
}

.navbar-nav .nav-link:hover::before {
  visibility: visible;
  transform: scaleX(1);
}

.navbar-nav .nav-link span {
  margin-left: 5px;
}

@media (min-width: 992px) {
  #navcol-1 {
    justify-content: end;
  }
}

@media (max-width: 991px) {
  .navbar-collapse {
    display: grid;
    grid-template-rows: 50px;
    margin-top: 15px;
  }
}

@media (max-width: 991px) {
  .navbar-nav {
    grid-row: 2;
    width: 100%;
  }
}

@media (max-width: 991px) {
  .search-container, .navbar-nav .nav-link, .nav-item {
    margin-left: 0;
    padding-left: 0;
  }
}

/* menu categories */

.game-container {
  margin-top: 30px;
}

.nav-categories {
  box-shadow: 0 4px 12px 0 rgba(43, 43, 43, 0.1);
  white-space: nowrap;
  width: 100%;
  background-color: #2c2c2c;
}

nav.greedy {
  position: relative;
  display: flex;
  align-items: center;
  font-weight: 600;
}

ul.links {
  display: flex;
  flex: 1;
  overflow: hidden !important;
}

.links.list-categories {
  list-style-type: none;
  padding: 0;
  margin-bottom: 0;
}

.links.list-categories li {
  text-decoration: none;
  color: #333;
  transition: transform 0.3s ease, color 0.3s ease;
  display: block;
}

.links.list-categories a {
  transition: transform 0.3s ease;
}

.list-categories a {
  float: left;
  display: block;
  text-align: center;
  text-decoration: none;
  padding: 6px 16px;
  text-decoration: none;
  background-color: #222;
  border-radius: 6px;
  margin: 5px 5px;
  font-weight: 600;
}

.list-categories li.active a {
  background: #d85252;
  color: white;
}

nav.greedy button {
  padding: 8px 16px;
  text-decoration: none;
  border-radius: 0;
  margin: 0;
  color: white;
  background: #555;
  font-weight: 700;
  margin-left: 30px;
  border: none;
}

nav.greedy button:focus-visible, nav.greedy button:hover, nav.greedy button:active {
  color: white;
  background: #555;
  border: none;
}

nav.greedy button::after {
  content: attr(count);
  display: inline-flex;
  width: 30px;
  height: 30px;
  align-items: center;
  justify-content: center;
  background: #d85252;
  color: #f2f2f2;
  border-radius: 50%;
  font-size: 14px;
  line-height: 14px;
  margin-left: 1rem;
  margin-left: 1rem;
  margin-right: calc(-1rem + -8px);
}

.hidden {
  display: none !important;
}

ul.hidden-links {
  position: absolute;
  z-index: 999;
  background: #fff;
  right: 0;
  top: 100%;
  text-align: left;
  list-style: none;
  background-color: #fff;
  background-clip: padding-box;
  border: 1px solid rgba(0, 0, 0, 0.15);
  border-radius: 0.25rem;
  padding-left: 0;
  box-shadow: 0 4px 12px 0 rgba(43, 43, 43, 0.1);
}

ul.hidden-links a {
  color: #2c3e50;
}

ul.hidden-links li {
  padding: 1rem;
  min-width: 220px;
}

ul.hidden-links.hidden {
  display: none;
}

ul.hidden-links li:hover, ul.hidden-links li.active {
  background-color: #eee;
}

/* container */

.ads {
  height: 280px;
  background: rgba(0,0,0,0.25);
}

@media (max-width: 991px) {
  .ads {
    display: none;
  }
}

h3.item-title {
  font-weight: 600;
  padding-bottom: 10px;
  font-size: 1.3rem;
  border-bottom: 1px solid #333;
  margin-bottom: 20px;
  margin-top: 20px;
  text-transform: capitalize;
}

.item-title svg, .item-title i {
  margin-right: 9px;
  color: #d85252;
  margin-top: -5px;
}

@media (min-width: 768px) {
  .col-md-13 {
    flex: 0 0 auto;
    width: 14.26666667%;
  }
}

.item-grid {
  padding-right: 8px;
  padding-left: 8px;
}

.list-game {
  margin-bottom: 20px;
  box-shadow: 0 1px 6px 0 rgba(50, 50, 50, 0.25);
  border-radius: 10px;
}

.list-thumbnail.square-thumb {
  position: relative;
  width: 100%;
  padding-top: 100%;
  overflow: hidden;
  border-radius: 10px;
}

.game-container-category .list-thumbnail.square-thumb {
  position: relative;
  width: 100%;
  padding-top: 90%;
  overflow: hidden;
  border-radius: 10px;
}

.list-thumbnail.square-thumb img {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 10px;
}

.list-thumbnail:hover {
  opacity: 0.5;
  transition: all 0.5s ease;
  transform: translate(0px, -3px);
}

.list-thumbnail img {
  transition: all .3s ease;
  aspect-ratio: 1 / 1;
  object-fit: cover;
}

.list-title span {
  text-decoration: underline;
}

.list-game .list-title {
  overflow: hidden;
  margin: .35714em;
  color: #ddd;
  text-overflow: ellipsis;
  white-space: nowrap;
  text-align: center;
  position: relative;
  margin-top: -30px;
  opacity: 0;
  font-weight: 600;
}

.list-game:hover > .list-title {
  opacity: 1;
  transition: all 0.5s ease;
  transform: translate(0px, -3px);
}

article h1, article h2, article h3, article h4 {
  margin-top: 1.2em;
  margin-bottom: .6em;
  font-weight: 600;
}

/* slide trending */

.profile-gamelist-horizontal {
  position: relative;
}

.btn-left {
  position: absolute;
  left: 0;
  background-color: rgba(255, 255, 255, 0.3);
  border-radius: 4px;
  top: -6px;
  margin: 5px;
  box-shadow: 0 0 5px 0 rgba(0, 0, 0, 0.3);
  z-index: 1;
  height: 100%;
}

.btn-right {
  position: absolute;
  right: 0;
  background-color: rgba(255, 255, 255, 0.3);
  border-radius: 4%;
  top: -6px;
  margin: 5px;
  box-shadow: 0 0 5px 0 rgba(0, 0, 0, 0.3);
  z-index: 1;
  height: 100%;
}

.btn-right:hover, .btn-left:hover {
  background-color: rgba(255, 255, 255, 0.3);
  box-shadow: 0 0 5px 0 rgba(0, 0, 0, 0.3);
  color: #212529 !important;
}

.profile-gamelist-horizontal ul {
  overflow: hidden;
  white-space: nowrap;
  display: block;
  list-style: none;
  padding: 0;
  margin-bottom: 0;
}

.profile-gamelist-horizontal li {
  display: inline-block;
  text-align: center;
}

.profile-game-item {
  max-width: 140px;
  border-radius: 10px;
  overflow: hidden;
  margin-right: 15px;
}

.cat-2 {
  flex: 0 0 auto;
  width: 33.33333333%;
}

.item-grid-cat {
  padding: 10px;
}

@media (min-width: 1200px) {
  .cat-1 {
    flex: 0 0 auto;
    width: 25%;
  }
}

@media (max-width: 767px) {
  .cat-3 {
    flex: 0 0 auto;
    width: 50%;
  }
}

.index-category {
  display: flex;
  box-shadow: 0 1px 4px rgba(3, 7, 10, .05), 0 2px 2px rgba(3, 7, 10, .1), 0 0 2px rgba(3, 7, 10, .05);
}

.index-category:hover {
  transform: translate(0px, -5px);
  transition: all 0.5s ease;
}

.category-thumbnail {
  width: 40%;
  background: #444;
  border-radius: 10px 0px 0px 10px;
}

.category-thumbnail img {
  aspect-ratio: 1/1;
  object-fit: cover;
}

.index-category:hover .category-thumbnail {
  opacity: 0.5;
  transition: all 0.5s ease;
}

.index-thumb {
  border-radius: 10px 0px 0px 10px;
}

.category-right {
  width: 60%;
  background: #2c2c2c;
  border-radius: 0px 10px 10px 0px;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.category-title {
  overflow: hidden;
  margin: .35714em;
  color: #ddd;
  text-overflow: ellipsis;
  white-space: nowrap;
  text-align: center;
  font-weight: 600;
}

/* desc */

.desc {
  background: #2C2C2C;
  margin-top: 15px;
  padding: 20px;
  border-radius: 10px;
}

.desc h1 {
  color: #ccc;
  font-size: 1.75rem;
}

.desc h2 {
  font-size: 1.3rem;
  font-weight: 600;
}

.desc ul {
  padding-left: 1rem;
}

.desc ul li a {
  font-weight: 600;
}

/* ft */

footer {
  padding-top: 2rem;
  padding-bottom: 2rem;
  background-color: #2c2c2c;
}

footer p {
  margin-bottom: 5px;
}

.category-description {
  background-color: #282828;
  padding: 10px 15px;
  border-radius: 12px;
}

/* detail */

.content-wrapper {
  margin-top: 30px;
}

.game-content {
  margin-bottom: 30px;
}

.game-player {
  background-color: #212234;
  border-radius: 10px;
}

.game-iframe-container {
  position: relative;
  overflow: hidden;
  width: 100%;
}

.game-iframe {
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  width: 100%;
  height: 100%;
}

.game-iframe {
  width: 100%;
  aspect-ratio: 16 / 9;
  border: none;
}

.single-info-container {
  padding-bottom: 5px;
  margin-bottom: 20px;
  margin-top: 0px;
  padding: 15px;
  border-radius: 0px 0px 10px 10px;
  background-color: #272727;
}

@media (min-width: 577px) {
  .single-info-container .header {
    display: flex;
    gap: 1px;
    justify-content: space-between;
  }
}

.header-left {
  display: inline-block;
  width: 70%;
}

h1.single-title {
  font-size: 1.4rem;
}

.single-title {
  margin-top: 10px;
  padding-bottom: 0px;
  font-weight: bold;
}

.color_gameinfo {
  color: #EEE;
}

.header-right {
  display: inline-block;
  flex-shrink: 0;
  margin-left: 0px;
  margin-bottom: 10px;
  float: right;
  width: 30%;
}

.stats-vote {
  text-align: right;
  margin-top: 10px;
}

.stats-vote svg {
  font-size: 38px;
  padding: 5px;
}

.stats-vote svg:hover {
  color: #f1ada6;
  cursor: pointer;
}

.text-success {
  --bs-text-opacity: 1;
  color: rgba(var(--bs-success-rgb), var(--bs-text-opacity)) !important;
}

.single-icon {
  background-color: #222;
  margin-right: 10px;
  padding: 8px 16px;
  border-radius: 15px;
  display: inline-block;
  margin-bottom: 10px;
}

.single-icon svg {
  margin-right: 9px;
  font-size: 20px;
  color: #d85252;
}

.single-icon a {
  color: #ddd;
}

.gameinfo-container {
  margin-bottom: 20px;
  padding: 15px;
  border-radius: 10px;
  background-color: #272727;
}

.color_gameinfo {
  color: #EEE;
  font-weight: 600;
}

.single-description {
  margin-top: 10px;
}

.cat-list {
  display: flex;
  flex-wrap: wrap;
  margin-top: 15px;
}

.cat-link {
  padding: 6px 16px;
  background-color: #222;
  margin-right: 10px;
  border-radius: 8px;
}

.sidebar {
  display: block;
}

.sidebar .widget {
  margin-bottom: 10px;
}

.sidebar .row {
  margin-right: 0;
  margin-left: 0;
}

.wgt-list-game {
  box-shadow: 0px 1px 6px 0px rgba(50, 50, 50, 0.25);
  border-radius: 5px;
}

.wgt-list-game-grid .wgt-list-game {
  padding: 0px;
  margin: 5px;
}

img.small-thumb-grid {
  width: 100%;
  border-radius: 6px;
  aspect-ratio: 1 / 1;
  object-fit: cover;
}

.wgt-list-game-vertical {
  margin-bottom: 10px;
  width: 100%;
  position: relative;
  padding: 0;
}

.wgt-list-game-vertical .wgt-list-game {
  display: flex;
  padding-top: 8px;
  padding-bottom: 8px;
  background-color: #272727;
}

.wgt-list-game-vertical .wgt-list-thumbnail {
  max-width: 100px;
}

.wgt-list-game-vertical .wgt-list-thumbnail img {
  max-width: 100px;
  /*object-fit: contain;*/
  padding-left: 8px;
  padding-right: 8px;
  aspect-ratio: 16 / 9;
  object-fit: cover;
}

.wgt-list-game-vertical .wgt-list-content {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
}

.wgt-list-game-vertical .wgt-list-title {
  font-weight: bold;
  margin-bottom: 5px;
}

@media (min-width: 768px) {
  .wgt-list-game-vertical .wgt-list-category, .wgt-list-game-vertical .wgt-list-title {
    color: #ddd;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    max-width: 15ch;
  }
}

@media (max-width: 767px) {
  .wgt-list-game-vertical .wgt-list-category, .wgt-list-game-vertical .wgt-list-title {
    color: #ddd;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    max-width: 30ch;
    font-size: 15px;
  }
}

/* page */

h1.singlepage-title {
  font-size: 1.75rem;
}

.singlepage-title {
  padding-bottom: 10px;
  font-weight: 700;
}

.page-content h5 {
  margin-bottom: 30px;
}

.page-content p {
  margin-bottom: 30px;
}

.page-content ul {
  padding-left: 1rem;
}

.page-content ol {
  padding-left: 1rem;
}

html, body {
  height: 100%;
  margin: 0;
}

body {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
}

.container {
  flex: 1;
}

.profile-gamelist ul {
  overflow-x: auto;
  overflow-y: hidden;
  scrollbar-width: none;
  -ms-overflow-style: none;
}

/* Chrome, Safari, Edge mới */

.profile-gamelist ul::-webkit-scrollbar {
  display: none;
}

